#include <bits/stdc++.h>
#define inta long long

using namespace std;

inta nzd(inta a, inta b){
    if (b == 0) return a;
    a = a % b;
    return nzd(b, a);
}

inta nzs(inta a, inta b){
    return a * b / nzd(a, b);
}

int main()
{
    inta nz[3], L, R;
    cin >> nz[0] >> nz[1] >> nz[2] >> L >> R;
    sort(nz, nz+2);
    inta p = nz[0], q = nz[1], r = nz[2];
    inta izraz = p*q*r - p*q - q*r - r*p;
    if (izraz < 0){
        cout << 0 << endl;
        return 0;
    }
    if (izraz == 0){
        inta broj = nzs(nzs(p, q), r);
        cout << R/broj - (L-1)/broj;
        return 0;
    }
    inta broj = nzs(nzs(p, q), r);
    inta rez = 0;
    if (R >= broj + 2){
        if (L >= broj + 2){
            cout << R - L + 1;
            return 0;
        }
        rez += R - broj - 1;
        R = broj + 1;
    }
    for (inta i = L; i <= R; ++i){
        if (ceil((double)i/p) + ceil((double)i/q) + ceil((double)i/r) <= i){
            rez++;
        }
    }
    cout << rez;
    return 0;
}